LPCOpen Platform for LPC18XX/43XX microcontrollers: LPC_PIN_INT_T Struct Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
LPC_PIN_INT_T Struct Reference
CHIP: LPC18xx/43xx Pin Interrupt and Pattern Match driver

## Detailed Description

LPC18xx/43xx Pin Interrupt and Pattern Match register block structure.

Definition at line 47 of file pinint_18xx_43xx.h.

`#include "pinint_18xx_43xx.h"`

## Data Fields
__IO uint32_t | ISEL
__IO uint32_t | IENR
__IO uint32_t | SIENR
__IO uint32_t | CIENR
__IO uint32_t | IENF
__IO uint32_t | SIENF
__IO uint32_t | CIENF
__IO uint32_t | RISE
__IO uint32_t | FALL
__IO uint32_t | IST

## Field Documentation

__IO uint32_t CIENF

Clear Pin Interrupt Enable Falling Edge / Active Level address

Definition at line 54 of file pinint_18xx_43xx.h.

__IO uint32_t CIENR

Clear Pin Interrupt Enable (Rising) register

Definition at line 51 of file pinint_18xx_43xx.h.

__IO uint32_t FALL

Pin Interrupt Falling Edge register

Definition at line 56 of file pinint_18xx_43xx.h.

__IO uint32_t IENF

Pin Interrupt Enable Falling Edge / Active Level register

Definition at line 52 of file pinint_18xx_43xx.h.

__IO uint32_t IENR

Pin Interrupt Enable (Rising) register

Definition at line 49 of file pinint_18xx_43xx.h.

__IO uint32_t ISEL

< PIN_INT Structure Pin Interrupt Mode register

Definition at line 48 of file pinint_18xx_43xx.h.

__IO uint32_t IST

Pin Interrupt Status register

Definition at line 57 of file pinint_18xx_43xx.h.

__IO uint32_t RISE

Pin Interrupt Rising Edge register

Definition at line 55 of file pinint_18xx_43xx.h.

__IO uint32_t SIENF

Set Pin Interrupt Enable Falling Edge / Active Level register

Definition at line 53 of file pinint_18xx_43xx.h.

__IO uint32_t SIENR

Set Pin Interrupt Enable (Rising) register

Definition at line 50 of file pinint_18xx_43xx.h.

The documentation for this struct was generated from the following file:

- C:/w/lpcopen_docs/software/lpc_core/lpc_chip/chip_18xx_43xx/pinint_18xx_43xx.h